﻿namespace UltraChartColumnChartLabels
{
    using System;
    using System.Data;
    using System.Drawing;
    using System.Windows.Forms;
    using Infragistics.UltraChart.Resources.Appearance;

    public partial class Form1 : Form
    {
        public Form1()
        {
            this.InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.ultraChart1.DataSource = this.GetData();

            // create new ChartTextAppearance
            var chartTextApp = new ChartTextAppearance();

            // make the ChartTextAppearance visible
            chartTextApp.Visible = true;

            // setting Column to -2 will show labels on each column
            chartTextApp.Column = -2;

            // setting Row to -2 will show labels for each data row
            chartTextApp.Row = -2;

            // set the VerticalAlign to Far in order to show the labels above columns
            chartTextApp.VerticalAlign = StringAlignment.Far;

            // create new ColumnChartAppearance and add ChartTextAppearance to its ChartText collection
            var columnChartApp = new ColumnChartAppearance();
            columnChartApp.ChartText.Add(chartTextApp);

            // set ColumnChartAppearance to the ColumnChart
            this.ultraChart1.ColumnChart = columnChartApp;
        }

        private DataTable GetData()
        {
            var data = new DataTable();

            data.Columns.Add("Name", typeof(string));
            data.Columns.Add("Week 1", typeof(int));
            data.Columns.Add("Week 2", typeof(int));
            data.Columns.Add("Week 3", typeof(int));
            data.Columns.Add("Week 4", typeof(int));
            data.Columns.Add("Week 5", typeof(int));

            data.Rows.Add(new object[] { "ActiveX", 25, 15, 100, 120, 60 });
            data.Rows.Add(new object[] { "Java", 85, 200, 45, 75, 113 });
            data.Rows.Add(new object[] { "NET", 65, 95, 110, 99, 50 });
            return data;
        }
    }
}
